commit 260b966ce924f98e100270ce040cbd0d12ea4980
Author: freddy77 <freddy77>
Date:   Sun Nov 29 20:06:28 2009 +0000

    Fix MS ODBC problem during test

diff --git a/ChangeLog b/ChangeLog
index e6395a0..7a384df 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sun Nov 29 21:06:18 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/data.c: Fix MS ODBC problem during test
+
 Sun Nov 29 20:02:37 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/data.c: Test univarchar from server
 
@@ -1932,4 +1935,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2893 2009/11/29 19:02:45 freddy77 Exp $
+$Id: ChangeLog,v 1.2894 2009/11/29 20:06:28 freddy77 Exp $
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index de96279..275e722 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -13,7 +13,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: data.c,v 1.31 2009/11/29 19:02:45 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.32 2009/11/29 20:06:28 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -202,7 +202,8 @@ main(int argc, char *argv[])
 		Test("SQL_VARIANT", "CAST('foo' AS NVARCHAR(10))", SQL_C_CHAR, "3 foo");
 		Test("SQL_VARIANT", "CAST('Super' AS NCHAR(8))", SQL_C_CHAR, "8 Super   ");
 		Test("SQL_VARIANT", "CAST('321' AS VARBINARY(10))", SQL_C_CHAR, "6 333231");
-		Test("SQL_VARIANT", "CAST('-123.4' AS FLOAT)", SQL_C_CHAR, "6 -123.4");
+		/* for some reasons MS ODBC seems to convert -123.4 to -123.40000000000001 */
+		Test("SQL_VARIANT", "CAST('-123.5' AS FLOAT)", SQL_C_CHAR, "6 -123.5");
 		Test("SQL_VARIANT", "CAST('-123.4' AS NUMERIC(10,2))", SQL_C_CHAR, "7 -123.40");
 	}
 

